import {ComponentRef, NgModule} from '@angular/core';
import {BrowserModule} from '@angular/platform-browser';

import {AppComponent} from './app.component';
import {AppRouting} from './app.routing';
import {LoginComponent} from './pages/login/login.component';
import {EventComponent} from './components/event/event.component';
import {AdminComponent} from './pages/admin/admin.component';
import {LandingpageComponent} from './pages/landingpage/landingpage.component';
import {NotfoundComponent} from './pages/notfound/notfound.component';
import {ApiService} from './services/api.service';
import {HttpClientModule} from '@angular/common/http';
import {FormsModule} from '@angular/forms';
import {EventsTableComponent} from './components/events-table/events-table.component';

@NgModule({
	declarations: [
		AppComponent,
		LoginComponent,
		EventComponent,
		AdminComponent,
		LandingpageComponent,
		NotfoundComponent,
		EventsTableComponent
	],
	imports: [
		BrowserModule,
		HttpClientModule,
		AppRouting,
		FormsModule
	],
	providers: [ApiService],
	bootstrap: [AppComponent]
})
export class AppModule {
}
